From 2bf48208cfb9d7670d6c1ba1bdaa8dd723a69385 Mon Sep 17 00:00:00 2001
From: Dusty Mabe <dusty@dustymabe.com>
Date: Sep 22 2019 17:21:15 +0000
Subject: [PATCH 1/4] Fedora 31 beta: add cloud image checksum files


---

diff --git a/alt.fedoraproject.org/static/checksums/Fedora-Cloud-31_Beta-1.1-aarch64-CHECKSUM b/alt.fedoraproject.org/static/checksums/Fedora-Cloud-31_Beta-1.1-aarch64-CHECKSUM
new file mode 100644
index 0000000..87dca29
--- /dev/null
+++ b/alt.fedoraproject.org/static/checksums/Fedora-Cloud-31_Beta-1.1-aarch64-CHECKSUM
@@ -0,0 +1,25 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA256
+
+# Fedora-Cloud-Base-31_Beta-1.1.aarch64.qcow2: 370409472 bytes
+SHA256 (Fedora-Cloud-Base-31_Beta-1.1.aarch64.qcow2) = 429b0ef1be5eaeb2cde230cba8cb473ddb05734e8fecf8e7af931ac8467d12f8
+# Fedora-Cloud-Base-31_Beta-1.1.aarch64.raw.xz: 234248604 bytes
+SHA256 (Fedora-Cloud-Base-31_Beta-1.1.aarch64.raw.xz) = 3ba01b00f789efa2dbc4d7a4885bfce004961b22c1648c336af3811bc39a6662
+# Fedora-Cloud-Base-31_Beta-1.1.aarch64.vmdk: 1066991616 bytes
+SHA256 (Fedora-Cloud-Base-31_Beta-1.1.aarch64.vmdk) = 3fe12616572176250c722dd0f111357fe8b1a9c524b1cbe5c53fe8e5d99cb330
+-----BEGIN PGP SIGNATURE-----
+
+iQIcBAEBCAAGBQJde5+aAAoJEFDLOQs8M1nEk7IP/RfEqjVSklfqSGTsYmugLMyV
+s08v/MKtMZfe4hK11Gd+/v7LD25lUEIIVrkdt0R2CSpN2GsAj9jEGaMui5BAIf9d
+qpHB5ViJwdmN9JhsCOFWp7zBHZkOt1lbUM5tKjOALifI0TL8jqkkPt+Zaqjh3rpR
+jh9olUOMDtZjpgRSzOvaoeT803P2q02/oe9LYfwctgTwaGFRTeb9iljdKj1ATEXO
+zYSTmqSAZ9oUU6gZRlSTGbhWJHt5IjidwXny9gXvNApPvrSXYsB02A6yN9jm334g
+s+j0BF9LpDF4PgNKLozHPE6AvcoQoGF5vKZOnVktKs9aQJlHZtcG5k7n0WLJECaL
+himMgevjBzx6R6GqGnoZHw8WYsXOMe7QrZajRFNqDrF+yhUTklQDZfpRweK70i1I
+os7ED44HU+dlnmEiRkvJXUyP3P2Mn+3MQmYoDd5x8izFj99H7GDYGF0jbn5hRyQ1
+IT24pALVe78qQuvVqHYQhUygYHqiRVGpVck2Jg5Udb1wrl/OGhLVNBVTA5BZ7QIW
+6p5lFLRYZ4gNc+Jleg3HJOw8ILK0Z8r9exXZCKhmpMU/stz73RID4u2p/kHrBaa4
+f96JIG3yH2uxjc3OBbHrmR7LzacUUY1BiOGoxVyfjLd5CHPQ5r3CtyDJwn9wenCs
+S6riiv0rZfOs5xbI3jLf
+=63I4
+-----END PGP SIGNATURE-----
diff --git a/alt.fedoraproject.org/static/checksums/Fedora-Cloud-31_Beta-1.1-ppc64le-CHECKSUM b/alt.fedoraproject.org/static/checksums/Fedora-Cloud-31_Beta-1.1-ppc64le-CHECKSUM
new file mode 100644
index 0000000..fd56e03
--- /dev/null
+++ b/alt.fedoraproject.org/static/checksums/Fedora-Cloud-31_Beta-1.1-ppc64le-CHECKSUM
@@ -0,0 +1,25 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA256
+
+# Fedora-Cloud-Base-31_Beta-1.1.ppc64le.qcow2: 361431040 bytes
+SHA256 (Fedora-Cloud-Base-31_Beta-1.1.ppc64le.qcow2) = c8498dfe5300cc94d980d12f8fa45ab7b528cbc09b51dca90d01819831e60ca2
+# Fedora-Cloud-Base-31_Beta-1.1.ppc64le.raw.xz: 224032824 bytes
+SHA256 (Fedora-Cloud-Base-31_Beta-1.1.ppc64le.raw.xz) = 324cd7d0ee845e7dab60e325aae03abb489be1ffc119b45f55ff4ff399ea4281
+# Fedora-Cloud-Base-31_Beta-1.1.ppc64le.vmdk: 1083572224 bytes
+SHA256 (Fedora-Cloud-Base-31_Beta-1.1.ppc64le.vmdk) = a70fe835024f52f7f0c1d42c2f614942bd498a7aebf15da0b7dc35f5860ff6c3
+-----BEGIN PGP SIGNATURE-----
+
+iQIcBAEBCAAGBQJde5+cAAoJEFDLOQs8M1nEYGgQAMfkU4zpPPcb5TmFKT0lyu+s
+ryvGF7Ofxu6FnzK9sc/JwXsDyLOSfvoldfHX4irr6n3L0xWIb9SDW2jeuR41sfof
+mJvwkywujBLbFY0pRHSK4cVXVdpW05Sym1BbLoRoUXISsSUDBbZWnem8ujnFlQvI
+Ty0bIUl6nGvI/q+DkwbQL5v3SIhoUsCIauxJhmnVSpWl46RN3JI0ooh8tPwDMcrO
+t2GZY2DmG0Jyhjr5eP/uZd3JEhgqjoLYVcvA249THnKbo9RNoNnPJs+/0YoH0S1v
+0aU9w+RCw47bTZfHWQl9NjBA943A6OzJgaClOTxUdGbUHnTi1mExjeC0HrxWof5O
+/aqJdrDDF+E7S2KBh7jJbEVOTnaBLYXSDlm2TmTjrlQyX/LTc/CqDUAQ8fyV6Y1a
+ohVJx9Kb6B0MD6WMtslcGNHz5ONnDNUXDNu8JUTZlkfDWJEENAZSz/xD703b1thX
+gkXHKSqkxnWXFKUWeXV6oqL1KL4nxUd4TnafJYdJuLy9O+B5ja5zI3R7d35NIAzS
+5VpL57hIKJDp49hPLfJCiUqv4gGbZOZcEIsl4UDYDFyCGLES+2YGIxKKAl9fKzus
+i0OTy+IefUrIzZ+G/T54Uc9ZcHdyC4fLW1BcORxULUva07yU9d+D6BD7lThY1o3H
+1JSRjwi3HJ6EbCQf5Pnw
+=KEaX
+-----END PGP SIGNATURE-----
diff --git a/alt.fedoraproject.org/static/checksums/Fedora-Cloud-31_Beta-1.1-s390x-CHECKSUM b/alt.fedoraproject.org/static/checksums/Fedora-Cloud-31_Beta-1.1-s390x-CHECKSUM
new file mode 100644
index 0000000..4ba7ef1
--- /dev/null
+++ b/alt.fedoraproject.org/static/checksums/Fedora-Cloud-31_Beta-1.1-s390x-CHECKSUM
@@ -0,0 +1,25 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA256
+
+# Fedora-Cloud-Base-31_Beta-1.1.s390x.qcow2: 357892096 bytes
+SHA256 (Fedora-Cloud-Base-31_Beta-1.1.s390x.qcow2) = 67863a8501ef922ae17da03f51ae4d0c351935bbba74bf3eb2602dc6b37bb2d5
+# Fedora-Cloud-Base-31_Beta-1.1.s390x.raw.xz: 221959096 bytes
+SHA256 (Fedora-Cloud-Base-31_Beta-1.1.s390x.raw.xz) = bce3a45de3901963744bd729ce6acff0b437d951e5dcbbff0d8a7bd87f8ea984
+# Fedora-Cloud-Base-31_Beta-1.1.s390x.vmdk: 959578112 bytes
+SHA256 (Fedora-Cloud-Base-31_Beta-1.1.s390x.vmdk) = d48b8b17a7c85ebce700ad180c9be1dc8fa2201b61cfeb570f95bd1d16b75a0a
+-----BEGIN PGP SIGNATURE-----
+
+iQIcBAEBCAAGBQJde5+eAAoJEFDLOQs8M1nEHqgP/j2j+/aoITcvGiOrPncSyOG8
+QVZM6ek0vBf0/ChTJwKsLQsnj7aZdjkxqMN9q4OK9Xd1xe/awAcfM63O3qX0ssvi
+XUG++cr38x8dsSOEawHHU5WlVzRpNJWB7lRBuMqNAMgwzGT1X9XVGwYjD9z55nT1
+k5hjWIjT32qu7e4cfca1YpXKx9XzdVJ7WpgKaCkAfUODP/6yo0fY4Y6ZLHnqNzss
+E+7H+/nTuA+PQ30iM1EJIbDiYMHcIg2AQLMmZqxM6Ho+wvmtL6DaA6aTt8o4bJib
+JgAyqjdyoPTpsIEzlgfZ8TcygV9+rT4bYv+uJtItqSSJs1fBEQfLlyhwjzbrBvIR
+9q7bGVJJ42P30P8VcPlhcdgJ/DhZ3NZJV8ATPpiq1FIgeaFCKpKFX52s33OYDsSC
+VrIPBn15qeDo29CrhrjVUixvSbx/GxS1bcd4XASIs2jPJnyzo/3qcXc/ynoZj02G
+SdWbEllxrOenH5cQhCCAreqJhzTNI1b4aVdSDfrf2VtgXfBwxOCT6F/nMzSXYSl3
+O7qdXVGizA5+OCDCb17ej4fz63XZeCTNqF+pzVFTTDG3eezkm2cx9sw6jn3gNN6C
+v3fN5ykm5wQ6coCheYa+6S4qO9SNdw7F3BnbGKmUR7+3MvpndGsPhMdTRJjIxNJp
+HY8vd6u8QELyu8VWb4rF
+=nWpz
+-----END PGP SIGNATURE-----
diff --git a/alt.fedoraproject.org/static/checksums/Fedora-Cloud-31_Beta-1.1-x86_64-CHECKSUM b/alt.fedoraproject.org/static/checksums/Fedora-Cloud-31_Beta-1.1-x86_64-CHECKSUM
new file mode 100644
index 0000000..96b49c7
--- /dev/null
+++ b/alt.fedoraproject.org/static/checksums/Fedora-Cloud-31_Beta-1.1-x86_64-CHECKSUM
@@ -0,0 +1,29 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA256
+
+# Fedora-Cloud-Base-31_Beta-1.1.x86_64.qcow2: 337379328 bytes
+SHA256 (Fedora-Cloud-Base-31_Beta-1.1.x86_64.qcow2) = a25d5f7a834722408fc8f765cc378f50fe8b53c9628d916200dbe4ebed6c21aa
+# Fedora-Cloud-Base-31_Beta-1.1.x86_64.raw.xz: 221114572 bytes
+SHA256 (Fedora-Cloud-Base-31_Beta-1.1.x86_64.raw.xz) = e4e67bcb8f56e3727aa7a5dc7c7440fb80fe56f4f57d2af540f77ddbd8c86cc3
+# Fedora-Cloud-Base-31_Beta-1.1.x86_64.vmdk: 886046720 bytes
+SHA256 (Fedora-Cloud-Base-31_Beta-1.1.x86_64.vmdk) = abdf328eaed5ecf4c74c0f840f78e967f9027f063564286f1b2f3da524236c95
+# Fedora-Cloud-Base-Vagrant-31_Beta-1.1.x86_64.vagrant-libvirt.box: 312269207 bytes
+SHA256 (Fedora-Cloud-Base-Vagrant-31_Beta-1.1.x86_64.vagrant-libvirt.box) = 45a40f02cf0c2e3d3caab16f72570a8af98ca8ae4e73787a7dcd9b49ff55956c
+# Fedora-Cloud-Base-Vagrant-31_Beta-1.1.x86_64.vagrant-virtualbox.box: 327311360 bytes
+SHA256 (Fedora-Cloud-Base-Vagrant-31_Beta-1.1.x86_64.vagrant-virtualbox.box) = a974ff5bd64c60ad317cf65559cffc14a04d29b4544801491298e814b1206f7f
+-----BEGIN PGP SIGNATURE-----
+
+iQIcBAEBCAAGBQJde5+YAAoJEFDLOQs8M1nELx8P/3a2r8S2NztJcIjaBqReWOuT
+VfKc7UU1mQpgiHtUhEexDoabDnfnMEMSA3Zcvb8w4H8bsU04FFEjSChic22Fulvz
+b4YyL/iYpZYm6W2PGL9CRCv5UzooRKEwOo+TqlGG5C6hpnMvRsf+SKK3pdh2wIcn
+qPL8LPS5LgVsnLzKRby93GRaGsUwxkNERe4x8FgS3EUl4AV3Fi3uR5jZeucj+zS9
+oI9ndOl6o5MUGq2qllauSwLV0J+c88ISxhihmpV/hWH5NWqZtK7ojQWUg60hHI1C
+9xptB8cllAiLqO6+pZTz62AeTRrVCFGnpET/NMfZFMl9gL3mzrr+iQxArE86Adsv
+J+p9D64mKsyBedBAh9hs4/wNCQT1NJBhUH9WXMMwLnqhcjKYBcVtwAVoyP6A48Yn
+p3dpPBPap98lAxZEMQBLDZ/J2IsrymFHpufNvalbD7MPWLZrasFIkXMta6sFO7C+
+C0CpZh9e+QwQbQlzV7VOiztIu12T8kiasZ2w+vtxEp2MTa+xXJPcZYb/x5t894P2
+0Ir/PnYgNXQ6ITYxWo+ltMoiRbe2kHjbszVxHKfiOu26+xV3LPWiEBd239kfFx1G
+173cmQKxB6vQVnF5cywPjtV/2KncuQzVj14dCr2zMdPTSRZVghbZU6XS3OnsbREf
+08sGFCP51a2iCQeC/2Po
+=EJCn
+-----END PGP SIGNATURE-----

From c252f4bd98ae4cf15d33c8041650e0e4f34c4dc8 Mon Sep 17 00:00:00 2001
From: Dusty Mabe <dusty@dustymabe.com>
Date: Sep 22 2019 17:32:16 +0000
Subject: [PATCH 2/4] globalvar: sort AMI lists by region id


This helps to sort data in the future and insert it.

---

diff --git a/build.d/globalvar.py b/build.d/globalvar.py
index ab984f1..a299d1a 100644
--- a/build.d/globalvar.py
+++ b/build.d/globalvar.py
@@ -360,42 +360,42 @@ for _, short, code in EC2_regions:
 # EC2 AMI IDs
 
 ARM64_base_AMI={
+    'eu-west-1':        'ami-04943823dedf5027f',
     'us-east-1':        'ami-051571ec5ffe08522',
     'us-east-2':        'ami-0399b24cfadfc4f33',
     'us-west-2':        'ami-0944f2356f6bb91bc',
-    'eu-west-1':        'ami-04943823dedf5027f',
 }
 
 HVM_base_AMI={
-    'us-east-1':        'ami-5c69df23',     # Virginia
-    'us-west-2':        'ami-56fb932e',     # Oregon
-    'us-west-1':        'ami-25adb045',     # California
-    'eu-west-1':        'ami-420d213b',     # Ireland
-    'eu-west-2':        'ami-ca14f7ad',     # London
-    'eu-central-1':     'ami-6065438b',     # Frankfurt
-    'ap-southeast-1':   'ami-b8c5eac4',     # Singapore
     'ap-northeast-1':   'ami-8b05e3f4',     # Tokyo
     'ap-northeast-2':   'ami-ddf851b3',     # Seoul
-    'ap-southeast-2':   'ami-976ea4f5',     # Sydney
     'ap-south-1':       'ami-c12b0aae',     # Mumbai
+    'ap-southeast-1':   'ami-b8c5eac4',     # Singapore
+    'ap-southeast-2':   'ami-976ea4f5',     # Sydney
+    'ca-central-1':     'ami-67129303',     # Canada
+    'eu-central-1':     'ami-6065438b',     # Frankfurt
+    'eu-west-1':        'ami-420d213b',     # Ireland
+    'eu-west-2':        'ami-ca14f7ad',     # London
     'sa-east-1':        'ami-0e9dce62',     # Sao Paolo
-    'ca-central-1':     'ami-67129303'      # Canada
+    'us-east-1':        'ami-5c69df23',     # Virginia
+    'us-west-1':        'ami-25adb045',     # California
+    'us-west-2':        'ami-56fb932e'      # Oregon
 }
 
 GP2_HVM_base_AMI={
-    'us-east-1':        'ami-e754e298',     # Virginia
-    'us-west-2':        'ami-f5fc948d',     # Oregon
-    'us-west-1':        'ami-77b3ae17',     # California
-    'eu-west-1':        'ami-8b0824f2',     # Ireland
-    'eu-west-2':        'ami-691af90e',     # London
-    'eu-central-1':     'ami-436640a8',     # Frankfurt
-    'ap-southeast-1':   'ami-04c7e878',     # Singapore
-    'ap-northeast-1':   'ami-a600e6d9',     # Tokyo
-    'ap-northeast-2':   'ami-a2ff56cc',     # Seoul
-    'ap-southeast-2':   'ami-3f6ca65d',     # Sydney
-    'ap-south-1':       'ami-052a0b6a',     # Mumbai
-    'sa-east-1':        'ami-9c8ad9f0',     # Sao Paolo
-    'ca-central-1':     'ami-c40e8fa0'      # Canada
+    'ap-northeast-1':   'ami-a600e6d9',     # tokyo
+    'ap-northeast-2':   'ami-a2ff56cc',     # seoul
+    'ap-south-1':       'ami-052a0b6a',     # mumbai
+    'ap-southeast-1':   'ami-04c7e878',     # singapore
+    'ap-southeast-2':   'ami-3f6ca65d',     # sydney
+    'ca-central-1':     'ami-c40e8fa0',     # canada
+    'eu-central-1':     'ami-436640a8',     # frankfurt
+    'eu-west-1':        'ami-8b0824f2',     # ireland
+    'eu-west-2':        'ami-691af90e',     # london
+    'sa-east-1':        'ami-9c8ad9f0',     # sao paolo
+    'us-east-1':        'ami-e754e298',     # virginia
+    'us-west-1':        'ami-77b3ae17',     # california
+    'us-west-2':        'ami-f5fc948d'      # oregon
 }
 
 PV_base_AMI={
@@ -450,35 +450,35 @@ AARCH64_GP2_HVM_atomic_AMI={}
 
 # EC2 AMI IDs PRERELEASE!!!
 pre_HVM_base_AMI={
-    'eu-west-2':       'ami-0a2cafce4e146fa6f',
     'ap-northeast-1':  'ami-0a24cb0b129391f91',
-    'eu-central-1':    'ami-0097aa31bfa6d957f',
-    'us-west-1':       'ami-0db1697b106a42511',
-    'us-west-2':       'ami-0ae9bebb94df0dfb2',
+    'ap-northeast-2':  'ami-025a265da1a333635',
+    'ap-south-1':      'ami-032f4d743f5c677bb',
+    'ap-southeast-1':  'ami-0e014a47fd58202e1',
     'ap-southeast-2':  'ami-04f1eafc8d8cef238',
     'ca-central-1':    'ami-0423d7ead4d36fc13',
-    'ap-southeast-1':  'ami-0e014a47fd58202e1',
-    'sa-east-1':       'ami-07c85de0c364891f8',
-    'ap-northeast-2':  'ami-025a265da1a333635',
+    'eu-central-1':    'ami-0097aa31bfa6d957f',
     'eu-west-1':       'ami-08779cabb5a70b267',
-    'ap-south-1':      'ami-032f4d743f5c677bb',
-    'us-east-1':       'ami-0a5a4a027c594a3ee'
+    'eu-west-2':       'ami-0a2cafce4e146fa6f',
+    'sa-east-1':       'ami-07c85de0c364891f8',
+    'us-east-1':       'ami-0a5a4a027c594a3ee',
+    'us-west-1':       'ami-0db1697b106a42511',
+    'us-west-2':       'ami-0ae9bebb94df0dfb2'
 }
 
 pre_GP2_HVM_base_AMI={
-    'eu-west-2':       'ami-09a9fa30546daec7b',
     'ap-northeast-1':  'ami-05cb9a208a11375a0',
-    'eu-central-1':    'ami-04077be43a1aa41cf',
-    'us-west-1':       'ami-0e24cc3e688d75512',
-    'us-west-2':       'ami-0e2412f7959332635',
+    'ap-northeast-2':  'ami-03f32d94e35e8ee16',
+    'ap-south-1':      'ami-08a95ab722459da46',
+    'ap-southeast-1':  'ami-0b19c7c9c9f0e71b6',
     'ap-southeast-2':  'ami-03df355d88c07b195',
     'ca-central-1':    'ami-02f4f27b3c8cda214',
-    'ap-southeast-1':  'ami-0b19c7c9c9f0e71b6',
-    'sa-east-1':       'ami-0fe4b2f13a9c10b68',
-    'ap-northeast-2':  'ami-03f32d94e35e8ee16',
+    'eu-central-1':    'ami-04077be43a1aa41cf',
     'eu-west-1':       'ami-0fa29ca888e696593',
-    'ap-south-1':      'ami-08a95ab722459da46',
-    'us-east-1':       'ami-0ef357b3f269575be'
+    'eu-west-2':       'ami-09a9fa30546daec7b',
+    'sa-east-1':       'ami-0fe4b2f13a9c10b68',
+    'us-east-1':       'ami-0ef357b3f269575be',
+    'us-west-1':       'ami-0e24cc3e688d75512',
+    'us-west-2':       'ami-0e2412f7959332635'
 }
 
 pre_PV_base_AMI={

From f57fd7cadef86dcea5d6509d57a02db2f6340471 Mon Sep 17 00:00:00 2001
From: Dusty Mabe <dusty@dustymabe.com>
Date: Sep 22 2019 17:38:49 +0000
Subject: [PATCH 3/4] globalvar: update AMIs for cloud beta


---

diff --git a/build.d/globalvar.py b/build.d/globalvar.py
index a299d1a..e527c5f 100644
--- a/build.d/globalvar.py
+++ b/build.d/globalvar.py
@@ -450,35 +450,35 @@ AARCH64_GP2_HVM_atomic_AMI={}
 
 # EC2 AMI IDs PRERELEASE!!!
 pre_HVM_base_AMI={
-    'ap-northeast-1':  'ami-0a24cb0b129391f91',
-    'ap-northeast-2':  'ami-025a265da1a333635',
-    'ap-south-1':      'ami-032f4d743f5c677bb',
-    'ap-southeast-1':  'ami-0e014a47fd58202e1',
-    'ap-southeast-2':  'ami-04f1eafc8d8cef238',
-    'ca-central-1':    'ami-0423d7ead4d36fc13',
-    'eu-central-1':    'ami-0097aa31bfa6d957f',
-    'eu-west-1':       'ami-08779cabb5a70b267',
-    'eu-west-2':       'ami-0a2cafce4e146fa6f',
-    'sa-east-1':       'ami-07c85de0c364891f8',
-    'us-east-1':       'ami-0a5a4a027c594a3ee',
-    'us-west-1':       'ami-0db1697b106a42511',
-    'us-west-2':       'ami-0ae9bebb94df0dfb2'
+    'ap-northeast-1':  'ami-0df283a7df814088a',
+    'ap-northeast-2':  'ami-00019f41ee614202b',
+    'ap-south-1':      'ami-04161766142c985d0',
+    'ap-southeast-1':  'ami-08479c9ede08f0b90',
+    'ap-southeast-2':  'ami-035ae85a2b0dba53f',
+    'ca-central-1':    'ami-074898c90e5e6ad67',
+    'eu-central-1':    'ami-013b0d8268edfcca6',
+    'eu-west-1':       'ami-069824c3215b6a9b3',
+    'eu-west-2':       'ami-016f96780e908bf4d',
+    'sa-east-1':       'ami-0e995b54b555f3344',
+    'us-east-1':       'ami-04520caa6eb9ffc1f',
+    'us-west-1':       'ami-0dd7e9e23749eb2df',
+    'us-west-2':       'ami-0e86301bce37e5e36'
 }
 
 pre_GP2_HVM_base_AMI={
-    'ap-northeast-1':  'ami-05cb9a208a11375a0',
-    'ap-northeast-2':  'ami-03f32d94e35e8ee16',
-    'ap-south-1':      'ami-08a95ab722459da46',
-    'ap-southeast-1':  'ami-0b19c7c9c9f0e71b6',
-    'ap-southeast-2':  'ami-03df355d88c07b195',
-    'ca-central-1':    'ami-02f4f27b3c8cda214',
-    'eu-central-1':    'ami-04077be43a1aa41cf',
-    'eu-west-1':       'ami-0fa29ca888e696593',
-    'eu-west-2':       'ami-09a9fa30546daec7b',
-    'sa-east-1':       'ami-0fe4b2f13a9c10b68',
-    'us-east-1':       'ami-0ef357b3f269575be',
-    'us-west-1':       'ami-0e24cc3e688d75512',
-    'us-west-2':       'ami-0e2412f7959332635'
+    'ap-northeast-1':  'ami-00512847289ac69e5',
+    'ap-northeast-2':  'ami-0f755c41c262380b8',
+    'ap-south-1':      'ami-0159f61e7af6edefa',
+    'ap-southeast-1':  'ami-0e98edf3171f145fb',
+    'ap-southeast-2':  'ami-0599cbd94a5b6c7c9',
+    'ca-central-1':    'ami-0834d50b72d10742e',
+    'eu-central-1':    'ami-0a8fee007f6e05976',
+    'eu-west-1':       'ami-0ab4231b322d6b2c8',
+    'eu-west-2':       'ami-0d364c384f03a6973',
+    'sa-east-1':       'ami-0dc599e078e09e233',
+    'us-east-1':       'ami-0645061389aac9c7b',
+    'us-west-1':       'ami-071d169b6f75e0a1c',
+    'us-west-2':       'ami-0760d1937ffd9c65a'
 }
 
 pre_PV_base_AMI={

From a76c851a07822d33b4e191106a1e09957d296267 Mon Sep 17 00:00:00 2001
From: Dusty Mabe <dusty@dustymabe.com>
Date: Sep 22 2019 17:40:51 +0000
Subject: [PATCH 4/4] globalvar: add in us-east-2 region for beta


---

diff --git a/build.d/globalvar.py b/build.d/globalvar.py
index e527c5f..f53368b 100644
--- a/build.d/globalvar.py
+++ b/build.d/globalvar.py
@@ -461,6 +461,7 @@ pre_HVM_base_AMI={
     'eu-west-2':       'ami-016f96780e908bf4d',
     'sa-east-1':       'ami-0e995b54b555f3344',
     'us-east-1':       'ami-04520caa6eb9ffc1f',
+    'us-east-2':       'ami-0aec7e421376b5f58',
     'us-west-1':       'ami-0dd7e9e23749eb2df',
     'us-west-2':       'ami-0e86301bce37e5e36'
 }
@@ -477,6 +478,7 @@ pre_GP2_HVM_base_AMI={
     'eu-west-2':       'ami-0d364c384f03a6973',
     'sa-east-1':       'ami-0dc599e078e09e233',
     'us-east-1':       'ami-0645061389aac9c7b',
+    'us-east-2':       'ami-0c64ce1ce83eda53c',
     'us-west-1':       'ami-071d169b6f75e0a1c',
     'us-west-2':       'ami-0760d1937ffd9c65a'
 }

